﻿using Steema.TeeChart.Styles;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RectifierChartDrawer
{
    public partial class frmBrokenXValues1892 : Form
    {
        public frmBrokenXValues1892()
        {
            InitializeComponent();
        }

        private void cmdTestBottomAxis_Click(object sender, EventArgs e)
        {
            DateTime dtMinimum = new DateTime(1892, 07, 31, 06, 00, 00);
            DateTime dtMiddle = new DateTime(1892, 07, 31, 18, 0, 0);
            DateTime dtMaximum = new DateTime(1892, 08, 01, 06, 00, 00);

            tChart1.Axes.Automatic = true;
            tChart1.Axes.Bottom.Minimum = dtMinimum.ToOADate();
            tChart1.Axes.Bottom.Maximum = dtMaximum.ToOADate();

            Volume volumeJA = new Volume(tChart1.Chart);
            volumeJA.XValues.DateTime = true;
            volumeJA.XValues.Order = Steema.TeeChart.Styles.ValueListOrder.Ascending;
            volumeJA.Marks.Visible = false;
            volumeJA.Title = "Test Old X Values";
            volumeJA.LinePen.Color = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(255)))));
            volumeJA.LinePen.Width = 1;

            //volumeJA.FillSampleValues(100);

            volumeJA.Add(dtMinimum,3);
            volumeJA.Add(dtMiddle, 4);
            volumeJA.Add(dtMaximum, 5);

        }
    }
}
